
export interface BaseRespData<D> {
  code: number
  message?: string
  data: D
}

export interface PaginationData<D> {
  page?: PaginationData<D>
  total: number
  size: number
  current: number
  records: D[]
}
export interface Statistics<D>  {
  sumNotPassNum: number
  sumPassNum: number
  sumShipmentNum: number
  sumTotalPrice: number
  page: {
    total: number
    size: number
    current: number
    records: D[]
  }
}

export type BasePaginationData<D> = BaseRespData<PaginationData<D>>

export type StatisticsData<D> = BaseRespData<Statistics<D>>
