import { ref } from "vue"

export default function useImagePreview() {
  const show = ref(false)
  const div = document.createElement('div')
  div.style.position = 'fixed'
  div.style.zIndex = '9999999999999'
  div.style.display = 'none'
  const img = document.createElement('img')
  img.style.width = '300px'
  div.appendChild(img)
  document.body.appendChild(div)
  const mouseoverImg = (ev: MouseEvent, url: string) => {
    console.log(url,ev.clientY,ev.clientX)
    ev.preventDefault()
    if (show.value === true) return
    img.src = url
    img.style.backgroundColor = '#eee'
    const cW = document.body.clientWidth
    const cH = document.body.clientHeight
    const cX = ev.clientX
    const cY = ev.clientY
    let x, y
    if (cY + 150 >= cH) y = cY - 300
    else y = cY - 150
    if (cX + 300 >= cW) x = cX - 300
    else x = cX + 60
    img.onload = () => {
      div.style.left = x + 'px'
      div.style.top = y + 'px'
      div.style.display = 'block'
      show.value = true
    }
  }
  const mouseleaveImg = () => {
    if (show.value === false) return
    div.style.display = 'none'
    show.value = false
  }
  return { mouseoverImg, mouseleaveImg }
}
